Package org.springframework.security.web.authentication.logout

# Class DelegatingLogoutSuccessHandler

java.lang.Object
org.springframework.security.web.authentication.logout.DelegatingLogoutSuccessHandler

All Implemented Interfaces:
  `LogoutSuccessHandler`

public class DelegatingLogoutSuccessHandler extends Object implements LogoutSuccessHandler
Delegates to logout handlers based on matched request matchers

Since:
  4.1

## Constructor Summary

Constructors
Constructor
Description
`DelegatingLogoutSuccessHandler(LinkedHashMap<RequestMatcher,LogoutSuccessHandler> matcherToHandler)`

## Method Summary

Modifier and Type
Method
Description
`void`
`onLogoutSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication)`
`void`
`setDefaultLogoutSuccessHandler(LogoutSuccessHandler defaultLogoutSuccessHandler)`
Sets the default `LogoutSuccessHandler` if no other handlers available

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegatingLogoutSuccessHandler

public DelegatingLogoutSuccessHandler(LinkedHashMap<RequestMatcher,LogoutSuccessHandler> matcherToHandler)

## Method Details

### onLogoutSuccess

public void onLogoutSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication) throws IOException, jakarta.servlet.ServletException

Specified by:
  `onLogoutSuccess` in interface `LogoutSuccessHandler`
Throws:
  `IOException`
  `jakarta.servlet.ServletException`

### setDefaultLogoutSuccessHandler

public void setDefaultLogoutSuccessHandler(LogoutSuccessHandler defaultLogoutSuccessHandler)
Sets the default `LogoutSuccessHandler` if no other handlers available

Parameters:
  `defaultLogoutSuccessHandler` - the defaultLogoutSuccessHandler to set